# Verify the 3DS challenge response

Verify the results of a challenged authentication.

Endpoint: POST /verifications/customers/3ds/verification
Version: 1
Security: BasicAuth

## Header parameters:

  - `Content-Type` (string)
    Example: "application/vnd.worldpay.verifications.customers-v1.hal+json"

  - `Accept` (string)
    Example: "application/vnd.worldpay.verifications.customers-v1.hal+json"

## Request fields (application/vnd.worldpay.verifications.customers-v1.hal+json):

  - `transactionReference` (string, required)
    A unique reference for authentication. For example, e-commerce order code.

  - `merchant` (object, required)
    An object that contains information about the merchant and API level configuration.

  - `merchant.entity` (string, required)
    Used to route the request in Access Worldpay, created as part of on-boarding.

  - `challenge` (object, required)
    Object containing challenge related information in case of a "challenged" flow

  - `challenge.reference` (string, required)
    The challenge reference obtained from the previous authentication request, in case the customer was redirected to a "challenged" flow.

## Response 200 fields (application/vnd.worldpay.verifications.customers-v1.hal+json):

  - `outcome` (string)
    Outcome of the previously posted authentication request.
    Enum: "authenticated", "authenticationFailed", "unavailable", "signatureFailed", "bypassed"

  - `authentication` (object)
    Object that contains authentication related information.

  - `authentication.version` (string)
    The version of 3DS used to process the transaction.

  - `authentication.eci` (string)
    Electronic Commerce Indicator (ECI). Indicates the outcome of the 3DS authentication.

  - `authentication.authenticationValue` (string)
    A cryptographic value that provides evidence of the outcome of a 3DS verification.

  - `authentication.transactionId` (string)
    A transaction identifier. If provided, you should use it as part of your payment authorization.

  - `transactionReference` (string)
    A unique reference for authentication that was passed in the request.

## Response 400 fields (application/vnd.worldpay.verifications.customers-v1.hal+json):

  - `path` (string)
    The request URI path

  - `status` (integer)
    The HTTP status returned from server

  - `message` (string, required)
    The error description message

  - `errorName` (string, required)
    The unique error name

  - `headerName` (string)
    The name of the header containing invalid value

  - `allowedMethods` (array)
    List of HTTP methods that are allowed

  - `validationErrors` (object)
    Object containing details of validation errors occurred

  - `validationErrors.errorName` (string, required)
    Unique name of the validation error

  - `validationErrors.jsonPath` (string, required)
    Location of the field in request body for which the error occurred

  - `validationErrors.message` (string, required)
    Error description message

## Response 502 fields (application/vnd.worldpay.verifications.customers-v1.hal+json):

  - `path` (string)
    The request URI path

  - `status` (integer)
    The HTTP status returned from server

  - `message` (string, required)
    The error description message

  - `errorName` (string, required)
    The unique error name

## Response 503 fields (application/vnd.worldpay.verifications.customers-v1.hal+json):

  - `path` (string)
    The request URI path

  - `status` (integer)
    The HTTP status returned from server

  - `message` (string, required)
    The error description message

  - `errorName` (string, required)
    The unique error name


